Bug 7462 - Не работает автомонтирование CD/DVD
: Не работает автомонтирование CD/DVD
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hal)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
: http://lists.altlinux.ru/pipermail/si...
:
:
:
  Show dependency tree
 
Reported: 2005-07-26 11:47 by
Modified: 2007-04-06 15:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-07-26 11:47:56
В системе есть один DVD (/dev/hdd) и один CDRW (/dev/hdc). Автоматическое
монтирование дисков работает лишь в некоторых случаях. Чаще всего при загрузке
диска в привод в KDE появляется пиктограмма с правильным названием диска. При
попытке доступа к диску (из Konqueror, из mc) появляется одно из двух
сообщений:
1. mount: only root can mount /dev/cdrom on /media/cdrom
2. No media in device for /media/cdrom1

То есть монтирование дисков не работает.

Вторая проблема: CDRW привод попеременно определяется то как /media/cdrom1, то
как /media/cdwriter, что собьет с толку любого пользователя.
------- Comment #1 From 2005-08-02 14:45:54 -------
Ситуация еще более странная, при наличии только одного привода(DVDROM), но при
втыкании разных дисков за полчаса стандарная схема наплодила мне следующие
записи:

/media/cdrom1
/media/cdwriter1
/media/dvd1

Под рукой не оказалось ни одной болванки DVD-RW для выяснения что еще может
появится в этом каталоге... :) 

А учитывая неподдерживаемую опцию managed - ничего смонтировано вообще не
было:(
------- Comment #2 From 2005-08-02 15:13:46 -------
При наличии DVD и СD-RW монтировалось оно и ГМД через autofs. Из-за непоняток с
периодическими проблемами с флешкой, решил попробовать ivman+pmount. Флешки
монтируются. При попытке включить монтирование и всего остального через них же,
несмотря на отсутствие записей в fstab и отключение autofs, КД не монтируются и
наблюдаются попытки запуска subfs. Связка autofs+ivman+pmount пока работает.
------- Comment #3 From 2005-08-02 16:06:55 -------
В системе есть обычный cdr и dwdrw подключенный к usb.  
В стандартном режиме (сервис ivman off, hal,hotplug, udevd on).  
cdr читается от пользователя (правда я в отчаянии прописал локальных  
пользователей во всякие админ группы). dwdrw показывает икону на экране но не  
монтирует. На запись также не работает поскольку нет устройства "Cdrecord-Clone 
2.01a37 (i586-alt-linux-gnu) Copyright (C) 1995-2004 Jörg Schilling  
cdrecord: No such file or directory. Cannot open '/dev/pg*' ...."  

Вырубаю udevd и включаю ivman. Оба диска читаются и извлекаются по нажатию  
кнопки. На выбор команды "umount" из меню на соотв иконе (в kde) - ругань  
однако "eject", там же,  - извлекает диск.   dwdrw  работает на запись.  

В modules/modules.conf пусто. fstab ниже 

# This file is edited by fstab-sync - see 'man fstab-sync' for details 
# $Id: fstab,v 1.1.1.1 2004/01/19 15:25:18 ldv Exp $ 

proc            /proc                   proc    gid=19                  0 0 
devpts          /dev/pts                devpts  gid=5,mode=620          0 0 
#/dev/cdrom     /mnt/cdrom              auto    noauto,nosuid,nodev,user,ro     
0 0 
#/dev/floppy    /mnt/floppy             auto    noauto,nosuid,nodev,user        
0 0 
/dev/hda6       /       ext3    defaults        1       1 
/dev/hda8       /home   ext3    defaults        1       1 
/dev/hda1       /mnt/win.c      vfat    noauto,user,nosuid,nodev,rw     0       
0 
/dev/hda2       /mnt/win.d      vfat    noauto,user,nosuid,nodev,rw     0       
0 
/dev/hda5       /mnt/win.e      vfat    noauto,user,nosuid,nodev,rw     0       
0 
/dev/hda7       swap    swap    defaults        0       0 
#/dev/cdrom /media/cdrom subfs fs=cdfss,nosuid,nodev,noexec,user 0 0 
/dev/sr0                /media/cdrom1           subfs   user,nosuid 0 0 
/dev/hdc                /media/cdrom2           subfs   user,nosuid 0 0 
/dev/fd0                /media/floppy           subfs   user,nosuid 0 0 
------- Comment #4 From 2005-08-02 18:27:59 -------
hal-0.5.3-alt4, hotplug-2004_09_23-alt14, udev-0.63-alt2
привод DVD-ROM, в нём CD-RW болванка

Убрал свои строчки для subfs из fstab, запустил (давно заглушеный) hal, проверил
наличие в `mount` строчки для cdrom:

/dev/hdc on /mnt/cdrom type subfs
(ro,noexec,nosuid,nodev,fs=iso9660:udf,iocharset=koi8-r,showexec)

ls /mnt/cdrom ничего не вывел, в логе:

Aug  2 17:14:02 life kernel: udf: bad mount option "showexec" or missing value
Aug  2 17:14:02 life kernel: subfs: /sbin/submountd unsuccessful attempt to
mount media (256)

несколько опосля (через минутку) без каких-либо активных действий (рассматривал
fstab) посмотрел в `mount`, строчки для cdrom уже не было.

В fstab сейчас:

# This file is edited by fstab-sync - see 'man fstab-sync' for details
...
/dev/cdrom /mnt/cdrom subfs fs=iso9660:udf,user,iocharset=koi8-r,ro,showexec 0 0
/dev/floppy /mnt/floppy subfs
fs=floppyfss,user,iocharset=koi8-r,quiet,sync,codepage=866,umask=0,exec 0 0

(именно с /mnt, не /media)

Пошёл продолжать смотреть ivman.
------- Comment #5 From 2005-08-03 13:02:41 -------
fixed (hal-0.5.3-alt5)